Subject: bug#62572: cp --no-clobber behavior has changed

From: Michael Stone <[email-masked]>
Date: Sun, 17 Dec 2023 09:49:08 -0500

On Sun, Dec 17, 2023 at 12:34:11AM -0800, Paul Eggert wrote:
>On 2023-12-16 13:46, Bernhard Voelker wrote:
>>Whether the implementation is race-prone or not is an internal thing.
>
>I wasn't referring to the internal implementation. I was referring to 
>cp users. With the newer Coreutils (FreeBSD) behavior, you can 
>reliably write a script to do something if cp -n didn't copy the file 
>because the destination already existed. With the older Coreutils 
>behavior you cannot do that reliably; there will always be a race 
>condition.

You can now reliably write a script using the new long option. Changing 
the behavior of the short option helped nobody.